Ga naar inhoud

Kwetsbaarheid in ExifTool maakt remote code execution mogelijk


Aanbevolen berichten

Een kwetsbaarheid in ExifTool, software voor het bekijken en aanpassen van metadata in allerlei soorten bestanden, maakt het mogelijk voor een aanvaller om willekeurige code op het systeem uit te voeren als er een malafide afbeelding wordt geopend.

Het beveiligingslek, aangeduid als CVE-2021-22204, wordt veroorzaakt door de manier waarop ExifTool omgaat met gebruikersdata in het DjVu-bestandsformaat. Een aanvaller kan hier via een geldige afbeelding misbruik maken om zijn code op het systeem van de gebruiker uit te voeren. Verdere details over het lek zijn niet gegeven. De kwetsbaarheid is verholpen in ExifTool versie 12.24 en nieuwer.

Beveiligingsonderzoeker William Bowling, die het lek ontdekte, maakte een demonstratie waarbij een aanval op een kwetsbare versie wordt getoond. ExifTool is beschikbaar als een platformonafhankelijke Perl-library, maar ook als losse applicatie voor macOS en Windows.

Image

 

bron: https://www.security.nl

Link naar reactie
Delen op andere sites


Dit is een verouderd onderwerp. Heb je een gelijkaardige vraag? Start dan een nieuw topic in dit forumonderdeel aub.

Doe mee aan dit gesprek

Je kunt dit nu plaatsen en later registreren. Indien je reeds een account hebt, log dan nu in om het bericht te plaatsen met je account.

Gast
Reageer op dit topic

×   Geplakt als verrijkte tekst.   Plak in plaats daarvan als platte tekst

  Er zijn maximaal 75 emoji toegestaan.

×   Je link werd automatisch ingevoegd.   Tonen als normale link

×   Je vorige inhoud werd hersteld.   Leeg de tekstverwerker

×   Je kunt afbeeldingen niet direct plakken. Upload of voeg afbeeldingen vanaf een URL in

 Delen

×
×
  • Nieuwe aanmaken...